import { Fixtures, PlaywrightWorkerArgs, PlaywrightWorkerOptions, PlaywrightTestArgs, PlaywrightTestOptions } from '@playwright/test';
import { i18n, TFunction, Module, NewableModule, Newable, InitOptions } from 'i18next';

declare type I18nPlaywrightFixture = {
    i18n: i18n;
    t: TFunction;
};
declare type I18nPlaywrightOptions = {
    plugins?: (Module | NewableModule<Module> | Newable<Module>)[];
    options?: InitOptions;
    cache?: boolean;
    auto?: boolean;
};
declare const createI18nFixture: ({ plugins, options, cache, auto, }: I18nPlaywrightOptions) => Fixtures<I18nPlaywrightFixture, PlaywrightWorkerArgs & PlaywrightWorkerOptions, PlaywrightTestArgs & PlaywrightTestOptions, PlaywrightWorkerArgs & PlaywrightWorkerOptions>;

declare function initI18n({ plugins, options, cache, }: Required<Pick<I18nPlaywrightOptions, "plugins" | "options" | "cache">>): Promise<i18n>;
declare function getI18nInstance(): i18n;

export { I18nPlaywrightFixture, I18nPlaywrightOptions, createI18nFixture, getI18nInstance, initI18n };
