"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  createI18nFixture: () => createI18nFixture,
  getI18nInstance: () => getI18nInstance,
  initI18n: () => initI18n
});
module.exports = __toCommonJS(src_exports);

// src/i18n.ts
var import_i18next = __toESM(require("i18next"));
var storedI18n;
async function initI18n({
  plugins,
  options,
  cache
}) {
  if (!cache || !storedI18n || !storedI18n.isInitialized) {
    const i18n2 = plugins.reduce(
      (i18n3, plugin) => i18n3 = i18n3.use(plugin),
      import_i18next.default.createInstance()
    );
    await i18n2.init(options);
    storedI18n = i18n2;
  }
  return storedI18n;
}
function getI18nInstance() {
  if (!storedI18n) {
    throw new Error("No i18n instance initialized");
  }
  return storedI18n;
}

// src/fixture.ts
var createI18nFixture = ({
  plugins = [],
  options = {},
  cache = true,
  auto = true
}) => {
  return {
    i18n: [
      async ({}, use) => {
        const i18nInitialized = await initI18n({ plugins, options, cache });
        await use(i18nInitialized);
      },
      { auto }
    ],
    t: async ({ i18n: i18n2 }, use) => {
      await use(i18n2.t);
    }
  };
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  createI18nFixture,
  getI18nInstance,
  initI18n
});
